import { KeyValueStore, KeyValueStoreOptions } from "./types";
import type { RedisClient } from "./redis-types";
export { RedisClient };
export declare function getGlobalRedisClient(): Promise<RedisClient>;
export declare function createRedisKeyValueStore<T>(name: string, options?: KeyValueStoreOptions): KeyValueStore<T>;
export declare function stopRedis(): Promise<void>;
